'use strict';

var {classes: Cc, interfaces: Ci} = Components,
    amfPref = Cc['@mozilla.org/preferences-service;1'].getService(Ci.nsIPrefService).getBranch('extensions.addonmanagerfix.');

function onTextbox(e) {
  if (Number.isInteger(e.value)) e.value = e.value;
  else e.value = e.value.match(/\d+/);
  if (e.id === 'header-utils-btn' && e.value < 1) e.value = 1;
  if (e.id === 'alert-position' && e.value > 5) e.value = 5;
  amfPref.setIntPref(e.id, e.value);
}

function onView() {
  window.opener.location.reload();
}

function onClose(e) {
  close();
  window.opener.location.reload();
}
